Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Interface Decoding

    public interface Decoding

Method Summary
`byte[]` | `decodeBinary()`
`Decoding` | `decodeEvent(ClientDecodingListener l)`
`int` | `decodeInt()`
`int` | `decodeResponse(ClientDecodingListener l)`
`java.lang.String` | `decodeString()`
`int` | `decodeTag()`
`int` | `decodeUint()`
`long` | `decodeUint64()`
`byte[]` | `getBinaryParm(int tag, boolean finalMarker)`
`byte[]` | `getBinaryParm(int tag, byte[] defaultValue, boolean finalMarker)`
`boolean[]` | `getBoolListParm(int tag, boolean finalMarker)`
`boolean` | `getBoolParm(int tag, boolean finalMarker)`
`boolean` | `getBoolParm(int tag, boolean defaultValue, boolean finalMarker)`
`int` | `getCommand()`
`
`<T extends EnumConverting> T[]`
` | `getEnumListParm(int tag, T converter, boolean finalMarker)`
`EnumConverting` | `getEnumParm(int tag, EnumConverting converter, boolean finalMarker)`
`EnumConverting` | `getEnumParm(int tag, EnumConverting converter, int defaultValue, boolean finalMarker)`
`java.lang.String[]` | `getFilenameListParm(int tag, boolean finalMarker)`
`java.lang.String` | `getFilenameParm(int tag, boolean finalMarker)`
`java.lang.String` | `getFilenameParm(int tag, java.lang.String defaultValue, boolean finalMarker)`
`int[]` | `getIntListParm(int tag, boolean finalMarker)`
`int` | `getIntParm(int tag, boolean finalMarker)`
`int` | `getIntParm(int tag, int defaultValue, boolean finalMarker)`
`PropertyInfo` | `getNextProperty()`
`SidObject[]` | `getObjectListParm(int tag, int moduleId, boolean finalMarker)`
`SidObject` | `getObjectParm(int tag, int module_id, boolean finalMarker)`
`java.lang.String[]` | `getStringListParm(int tag, boolean finalMarker)`
`java.lang.String` | `getStringParm(int tag, boolean finalMarker)`
`java.lang.String` | `getStringParm(int tag, java.lang.String defaultValue, boolean finalMarker)`
`long[]` | `getUint64ListParm(int tag, boolean finalMarker)`
`long` | `getUint64Parm(int tag, boolean finalMarker)`
`long` | `getUint64Parm(int tag, long defaultValue, boolean finalMarker)`
`int[]` | `getUintListParm(int tag, boolean finalMarker)`
`int` | `getUintParm(int tag, boolean finalMarker)`
`int` | `getUintParm(int tag, int defaultValue, boolean finalMarker)`
`java.lang.String[]` | `getXmlListParm(int tag, boolean finalMarker)`
`java.lang.String` | `getXmlParm(int tag, boolean finalMarker)`
`java.lang.String` | `getXmlParm(int tag, java.lang.String defaultValue, boolean finalMarker)`
`boolean` | `hasNextProperty(boolean isGet)`
`void` | `skipEndOfMessage()`
`void` | `skipEvent(int modId)`
`void` | `skipValue(int kind)`

Method Detail

### decodeInt

    int decodeInt()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeUint

    int decodeUint()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeUint64

    long decodeUint64()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeString

    java.lang.String decodeString()
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeBinary

    byte[] decodeBinary()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipValue

    void skipValue(int kind)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBinaryParm

    byte[] getBinaryParm(int tag,
                         boolean finalMarker)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBinaryParm

    byte[] getBinaryParm(int tag,
                         byte[] defaultValue,
                         boolean finalMarker)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBoolParm

    boolean getBoolParm(int tag,
                        boolean finalMarker)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBoolParm

    boolean getBoolParm(int tag,
                        boolean defaultValue,
                        boolean finalMarker)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBoolListParm

    boolean[] getBoolListParm(int tag,
                              boolean finalMarker)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getEnumParm

    EnumConverting getEnumParm(int tag,
                               EnumConverting converter,
                               boolean finalMarker)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getEnumParm

    EnumConverting getEnumParm(int tag,
                               EnumConverting converter,
                               int defaultValue,
                               boolean finalMarker)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getEnumListParm

    <T extends EnumConverting> T[] getEnumListParm(int tag,
                                                   T converter,
                                                   boolean finalMarker)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getIntParm

    int getIntParm(int tag,
                   boolean finalMarker)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getIntParm

    int getIntParm(int tag,
                   int defaultValue,
                   boolean finalMarker)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getIntListParm

    int[] getIntListParm(int tag,
                         boolean finalMarker)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getUintParm

    int getUintParm(int tag,
                    boolean finalMarker)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getUintParm

    int getUintParm(int tag,
                    int defaultValue,
                    boolean finalMarker)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getUintListParm

    int[] getUintListParm(int tag,
                          boolean finalMarker)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getUint64Parm

    long getUint64Parm(int tag,
                       boolean finalMarker)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getUint64Parm

    long getUint64Parm(int tag,
                       long defaultValue,
                       boolean finalMarker)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getUint64ListParm

    long[] getUint64ListParm(int tag,
                             boolean finalMarker)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getObjectParm

    SidObject getObjectParm(int tag,
                            int module_id,
                            boolean finalMarker)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getObjectListParm

    SidObject[] getObjectListParm(int tag,
                                  int moduleId,
                                  boolean finalMarker)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStringParm

    java.lang.String getStringParm(int tag,
                                   boolean finalMarker)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStringParm

    java.lang.String getStringParm(int tag,
                                   java.lang.String defaultValue,
                                   boolean finalMarker)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStringListParm

    java.lang.String[] getStringListParm(int tag,
                                         boolean finalMarker)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFilenameParm

    java.lang.String getFilenameParm(int tag,
                                     boolean finalMarker)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFilenameParm

    java.lang.String getFilenameParm(int tag,
                                     java.lang.String defaultValue,
                                     boolean finalMarker)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFilenameListParm

    java.lang.String[] getFilenameListParm(int tag,
                                           boolean finalMarker)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getXmlParm

    java.lang.String getXmlParm(int tag,
                                boolean finalMarker)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getXmlParm

    java.lang.String getXmlParm(int tag,
                                java.lang.String defaultValue,
                                boolean finalMarker)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getXmlListParm

    java.lang.String[] getXmlListParm(int tag,
                                      boolean finalMarker)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipEndOfMessage

    void skipEndOfMessage()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipEvent

    void skipEvent(int modId)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeTag

    int decodeTag()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### hasNextProperty

    boolean hasNextProperty(boolean isGet)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getNextProperty

    PropertyInfo getNextProperty()
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeResponse

    int decodeResponse(ClientDecodingListener l)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeEvent

    Decoding decodeEvent(ClientDecodingListener l)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getCommand

    int getCommand()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.